> ## Documentation Index
> Fetch the complete documentation index at: https://useidalia.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create projects

> Creates projects



## OpenAPI

````yaml /openapi.json post /projects
openapi: 3.0.0
info:
  title: Idalia API
  version: 1.0.0
  description: REST API for Idalia. Authenticate with an API key in the X-API-KEY header.
servers:
  - url: https://idalia.app/api
    description: Idalia API server
security: []
paths:
  /projects:
    post:
      tags:
        - Projects
      summary: Create projects
      description: Creates projects
      operationId: createProjects
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectsCreateParams'
        description: Project data including a name
      responses:
        '200':
          description: Returns newly created project objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectsQueryResponse'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ProjectsCreateParams:
      type: array
      items:
        $ref: '#/components/schemas/CreateProjectSchema'
    ProjectsQueryResponse:
      type: array
      items:
        $ref: '#/components/schemas/ProjectResponse'
    CreateProjectSchema:
      type: object
      properties:
        name:
          type: string
          description: Name of the project
        reference:
          type: string
          nullable: true
          description: Reference of the project
        startDate:
          type: string
          nullable: true
          description: Datetime the project starts
        endDate:
          type: string
          nullable: true
          description: Datetime the project ends
        notes:
          type: string
          nullable: true
          description: Notes on the project
        statusId:
          type: string
          nullable: true
          description: ID of the project status
        companyId:
          type: string
          nullable: true
          description: ID of the company the project is for
        locationId:
          type: string
          nullable: true
          description: ID of the location the project
        externalIds:
          type: object
          additionalProperties:
            type: string
          nullable: true
          description: ''
      required:
        - name
    ProjectResponse:
      type: object
      properties:
        id:
          type: string
          description: ID of the project
        createdAt:
          type: string
          description: Datetime the project was created
        updatedAt:
          type: string
          nullable: true
          description: Datetimet the project was last updated
        workspaceId:
          type: string
          description: ID of the workspace the project belongs to
        createdBy:
          type: string
          nullable: true
          description: ID of the user who created the project
        updatedBy:
          type: string
          nullable: true
          description: ID of the user who last updated the project
        name:
          type: string
          description: Name of the project
        reference:
          type: string
          nullable: true
          description: Reference of the project
        startDate:
          type: string
          nullable: true
          description: Datetime the project starts
        endDate:
          type: string
          nullable: true
          description: Datetime the project ends
        notes:
          type: string
          nullable: true
          description: Notes on the project
        statusId:
          type: string
          nullable: true
          description: ID of the project status
        companyId:
          type: string
          nullable: true
          description: ID of the company the project is for
        locationId:
          type: string
          nullable: true
          description: ID of the location the project
        externalIds:
          type: object
          additionalProperties:
            type: string
          nullable: true
          description: ''
      required:
        - id
        - createdAt
        - workspaceId
        - name
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Invalid request parameters
              code:
                type: string
                example: '400'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Authentication required
              code:
                type: string
                example: '401'
    '403':
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Access denied
              code:
                type: string
                example: '403'
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: An unexpected error occurred
              code:
                type: string
                example: '500'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.